/*  
 *******************************
 * DOpus LHA Multi-selector    *
 *                             *
 *      Filename Builder       *
 *                             *
 * $VER: 2.0  RAM  TGI 1994  *
 *******************************
 */

DOpusPort = 'DOPUS.1'

if ~show(l,"rexxsupport.library") then        
    call addlib("rexxsupport.library",0,-30,0)

/* make sure we've got somebody to talk to */

if showlist('Ports', DOpusPort) = 0 then do
   say 'Directory Opus ARexx port not found. Aborting.'
   call CleanUp
end

address 'DOPUS.1'
options results

toptext "TGI-SERVICES 1994 / Multi-LHA by RAM" 

count = 1

address command
return = Open(infile,"ram:infiles.txt","R")
if return > 0 then do
  do until EOF(infile)
     name.count = ReadLn(infile)
     count = count + 1
  end
  return = close(infile)
  count = count - 1
end

address 'DOPUS.1'
names = ""
status 3 window
window=result
status 9 window
entries=result

do entries
  getnextselected
  names=insert(names,result)
  names=insert(names,'/')
  selectfile result 0 1
end

status 3            /* get window number */
window = RESULT
status 13 window    /* get path of displayed window */
path = RESULT

if names = '' then do
  request "No files selected! There's nothing for me to do."
  exit
end

do while names ~= ""
  parse var names name.count "/" names
  name.count = path||name.count
  count = count + 1
end

address command

return = open(outfile,"ram:infiles.txt","W")

counter = 1
do until counter = count
   return = WriteLn(outfile,name.counter)
   counter = counter + 1
   end
return = Close(outfile)

address 'DOPUS.1'
mssg = (count-1)||' entries are now in the archive list.'
request mssg
exit
