/*  
 *******************************
 * DOpus LHA Multi-selector    *
 *                             *
 *        The Archiver         *
 *                             *
 * $VER: 2.0  RAM  TGI 1994  *
 *******************************
 */

DOpusPort = 'DOPUS.1'

if ~show(l,"rexxsupport.library") then        
    call addlib("rexxsupport.library",0,-30,0)

/* make sure we've got somebody to talk to */

if showlist('Ports', DOpusPort) = 0 then do
   say 'Directory Opus ARexx port not found. Aborting.'
   call CleanUp
end

address 'DOPUS.1'
options results

address 'DOPUS.1'

request "Have you selected the proper destination directory?"
ans = RESULT
if ans = 0 then exit

toptext "TGI/RAM"
getstring "'Enter the destination filename'"
outname = RESULT

if outname = ''|outname = 'RESULT'|outname = '1' then do
   request "I need an output filename before I can continue, please!"
   ans = RESULT
   if ans = 1 then signal getname
   exit
end

status 3       /* get window number */
win = RESULT
status 13 win    /* get path of displayed window */
path = RESULT

request path||outname
ans = RESULT
if ans = 0 then exit
address command 'lha >nil: <nil: a -r 'path||outname '@ram:infiles.txt'

'delete ram:infiles.txt quiet'

address 'DOPUS.1'
status 3 set win
status 13 win set path
exit
